# Backup Plugin

## Overview
The Backup Plugin provides comprehensive backup capabilities for your Document Tracker data. It allows you to create secure backups of your database and files to local storage or cloud services.

## Features
- Multiple backup destinations:
  - Local Storage
  - Google Drive
  - Dropbox
- Automatic compression
- Optional encryption
- Progress tracking
- Scheduled backups
- Backup history tracking

## Usage

### Creating a Backup
1. Select your desired backup destination (Local, Google Drive, or Dropbox)
2. For local backups:
   - Click "Browse" to select a backup location
   - Choose your backup options
   - Click "Start Backup"
3. For cloud backups:
   - Connect your cloud service in Settings
   - Select your backup options
   - Click "Start Backup"

### Settings Configuration
- **Cloud Storage**: Connect or disconnect Google Drive and Dropbox accounts
- **Backup Settings**:
  - Set number of backups to retain
  - Enable/disable scheduled backups
  - Configure backup schedule
  - Set compression and encryption preferences

### Backup History
View your backup history to track:
- Backup dates
- Backup types
- File sizes
- Success/failure status

## Best Practices
- Regularly schedule backups
- Keep multiple backup copies
- Test your backups periodically
- Use encryption for sensitive data
- Store backups in different locations

## Version History
- 1.0: Initial release with local and cloud backup support

## Support
For support, contact Voiz Technologies at support@vioztec.com